extends Area3D


func _ready() -> void:
	pass


func _on_Timer_timeout() -> void:
	call_deferred("queue_free")


func _on_Explosion_body_entered(body: Node3D) -> void:
	#print("explosion: " + str(body.name))
	if body.has_method("hit"):
		body.hit()
